View Single Post
Old 07 May 2005, 01:48 am   #2
piman
Member
 
Join Date: Jan 2005
Location: Minneapolis, MN
Posts: 6
Default Is the API/ABI/name stable?

I'd like to make the next release of PyMusepack a release candidate for 1.0, and also have a version to encourage the Debian FTP masters to approve (currenty libmusepack 1.1 and 1.1.1 are both waiting, and I've told them to hold off until 1.2) -- so far, neither libmusepack 1.0, 1.1, 1.1.1, and now 1.2, have been backwards or forwards compatible.

Is there some assurance that libmpcdec 1.2.1, or 1.3, will not horribly break compatibility again? If not, I can't recommend the library (and bmp-musepack/xmms-musepack) to be in Debian. I don't see the point in making a library (especially a post-1.0 library) change drastically each release...
__________________
--
Joe Wreschnig
piman is offline   Reply With Quote